/**
 * Copyright (c) 2014,2018 by the respective copyright holders.
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 */
package org.openhab.binding.openlicht.internal;

import org.eclipse.jdt.annotation.NonNullByDefault;
import org.eclipse.smarthome.core.thing.ThingTypeUID;

/**
 * The {@link BindingConstants} class defines common constants, which are
 * used across the whole binding.
 *
 * @author René Schöne - Initial contribution
 */
@NonNullByDefault
public class BindingConstants {

    private static final String BINDING_ID = "openlicht";

    // List of all Thing Type UIDs
    public static final ThingTypeUID THING_TYPE_SKYWRITER_HAT = new ThingTypeUID(BINDING_ID, "skywriter-hat");
    public static final ThingTypeUID THING_TYPE_POLAR = new ThingTypeUID(BINDING_ID, "polar-m600");
    public static final ThingTypeUID THING_TYPE_SMARTPHONE = new ThingTypeUID(BINDING_ID, "samsung-s6");

    // List of all Channel ids
    public static final String CHANNEL_FLICK = "flick";
    public static final String CHANNEL_ACCELERATOR_X = "polar-accelerator-x";
    public static final String CHANNEL_ACCELERATOR_Y = "polar-accelerator-y";
    public static final String CHANNEL_ACCELERATOR_Z = "polar-accelerator-z";
    public static final String CHANNEL_ACTIVITY = "polar-activity";
    public static final String CHANNEL_HEART_RATE = "polar-heart-rate";
    public static final String CHANNEL_STEPS = "polar-steps";
    public static final String CHANNEL_BRIGHTNESS_POLAR = "polar-brightness";
    public static final String CHANNEL_BRIGHTNESS_SAMSUNG = "samsung-brightness";

    // List of MQTT categories
    public static final String MQTT_CATEGORY_FLICK = "flick";
    public static final String MQTT_CATEGORY_ACCELERATOR = "accelerator";
    public static final String MQTT_CATEGORY_ACTIVITY = "activity";
    public static final String MQTT_CATEGORY_HEART_RATE = "heart-rate";
    public static final String MQTT_CATEGORY_STEPS = "steps";
    public static final String MQTT_CATEGORY_BRIGHTNESS = "brightness";

    public static final String MQTT_BROKER_URL = "tcp://localhost:1883";
}
